package me.picnicapp.sample.picnicsample;

import android.os.Bundle;
import android.widget.LinearLayout;

import me.picnicapp.sdk.activity.PageActivity;
import me.picnicapp.sdk.activity.PagePartsBuilder;

public class AboutActivity extends PageActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // 画面タイトルを設定
        setHeaderTitle(R.string.about_header_title);

        // 画面生成クラス
        LinearLayout body = getBodyContainer();
        PagePartsBuilder builder = new PagePartsBuilder(this, body);

        // 画面を生成
        // 1つ目
        builder.addTitle(R.string.about1_title);
        builder.addText(R.string.about1_desc);
    }
}
