package me.picnicapp.sample.picnicsample;

import android.os.Bundle;
import android.widget.LinearLayout;

import me.picnicapp.sdk.activity.PageActivity;
import me.picnicapp.sdk.activity.PagePartsBuilder;

public class HowtoActivity extends PageActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // 画面タイトルを設定
        setHeaderTitle(R.string.howto_header_title);

        // 画面生成クラス
        LinearLayout body = getBodyContainer();
        PagePartsBuilder builder = new PagePartsBuilder(this, body);

        // 画面を生成
        // 1つ目
        builder.addTitle(R.string.howto1_title);
        builder.addText(R.string.howto1_desc1);
        builder.addImage(R.drawable.dummy);
        builder.addText(R.string.howto1_desc2);
        builder.addImage(R.drawable.dummy);
        // 2つ目
        builder.addTitle(R.string.howto2_title);
        builder.addText(R.string.howto2_desc1);
        builder.addImage(R.drawable.dummy);
    }
}
