package me.picnicapp.sample.picnicsample;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import me.picnicapp.sdk.ar.ARActivity;
import me.picnicapp.sdk.map.MapActivity;

public class TopActivity extends Activity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_top);
    }

    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.picnic_top_btn_ar) {
            Intent intent = new Intent(getApplicationContext(), ARActivity.class);
            startActivity(intent);
        } else if (v.getId() == R.id.picnic_top_btn_map) {
            Intent intent = new Intent(getApplicationContext(), MapActivity.class);
            startActivity(intent);
        } else if (v.getId() == R.id.picnic_top_btn_about) {
            Intent intent = new Intent(getApplicationContext(), AboutActivity.class);
            startActivity(intent);
        }
    }
}
